Bug 196059 - [EMC RHEL4.6 FEAT] The iscsi user/password character length limits are not documented.
[EMC RHEL4.6 FEAT] The iscsi user/password character length limits are not do...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: iscsi-initiator-utils (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mike Christie
Brock Organ
: Documentation, FutureFeature, OtherQA
Depends On:
Blocks: 217102 232471 232479 248673
  Show dependency treegraph
 
Reported: 2006-06-20 14:08 EDT by Wayne Berthiaume
Modified: 2010-10-22 01:14 EDT (History)
9 users (show)

See Also:
Fixed In Version: RHBA-2007-0810
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-15 11:12:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Wayne Berthiaume 2006-06-20 14:08:32 EDT
Description of problem:
The username/password character length limits are not documented in the README 
file in the distribution..

Version-Release number of selected component (if applicable):
4:0.1.11

How reproducible:
Always

Steps to Reproduce:
1.
2.
3.
  
Actual results:
No information available

Expected results:


Additional info:
Comment 1 Andrius Benokraitis 2006-06-20 14:47:53 EDT
*** Bug 196062 has been marked as a duplicate of this bug. ***
Comment 2 Guy Streeter 2006-06-20 17:04:29 EDT
Why is this bugzilla's "Component" set to "iscsi"?
Comment 3 Mike Christie 2006-06-20 17:31:12 EDT
Mess up by EMC. I fixed it. In the future please set the component to
iscsi-initiator-utls.
Comment 8 Andrius Benokraitis 2007-02-08 16:32:59 EST
Moving to RHEL 4.6 per Mike's recommendation.
Comment 9 RHEL Product and Program Management 2007-03-09 20:00:48 EST
This bugzilla had previously been approved for engineering
consideration but Red Hat Product Management is currently reevaluating
this issue for inclusion in RHEL4.6.
Comment 11 Michael Hideo 2007-06-06 00:49:55 EDT
Adding 'cc ecs-dev-list@redhat.com for team coverage
Comment 12 Andrius Benokraitis 2007-06-27 13:40:12 EDT
Michael Hideo/Mike Christie - Who will be adding this to the README page? Thanks!
Comment 13 Andrius Benokraitis 2007-06-27 13:41:31 EDT
Looks as though the man page for iscsi.conf also does not have this
clarification as well...
Comment 14 Mike Christie 2007-06-27 13:47:29 EDT
What is ecs?

Yeah, I guess it is only in the example iscsid.conf. I got this one if ecs is
not doing iscsi bug fixes :)
Comment 15 Andrius Benokraitis 2007-06-27 14:29:28 EDT
Mike, ECS is Content Services. I didn't think they have responsibility for man
pages and READMEs in releases, only external documentation created in XML on our
website...
Comment 16 Andrius Benokraitis 2007-06-27 14:30:52 EDT
I'm thinking ECS would like this info to include into their docs, in addition to
what is in the README/man page.
Comment 17 Mike Christie 2007-06-27 14:49:29 EDT
ok, I will do the work and post the patches here for all to see.
Comment 22 Mike Christie 2007-08-01 15:06:33 EDT
Note: for 4.6 I did not document this in the README, but I did document this in
the iscsi.conf man page. It is already documented in the iscsi.conf example.

The reason it is not in the README is because, the README directs the reader to
the man page and example page for all the driver variables. So I mean the README
does not document the iscsi.conf limits. The example iscsi.conf and man page do.
Comment 24 John Poelstra 2007-08-29 12:34:09 EDT
A fix for this issue should have been included in the packages contained in the
RHEL4.6 Beta released on RHN (also available at partners.redhat.com).  

Requested action: Please verify that your issue is fixed to ensure that it is
included in this update release.

After you (Red Hat Partner) have verified that this issue has been addressed,
please perform the following:
1) Change the *status* of this bug to VERIFIED.
2) Add *keyword* of PartnerVerified (leaving the existing keywords unmodified)

If this issue is not fixed, please add a comment describing the most recent
symptoms of the problem you are having and change the status of the bug to FAILS_QA.

If you cannot access bugzilla, please reply with a message to Issue Tracker and
I will change the status for you.  If you need assistance accessing
ftp://partners.redhat.com, please contact your Partner Manager.
Comment 25 John Poelstra 2007-09-05 18:24:28 EDT
A fix for this issue should have been included in the packages contained in 
the RHEL4.6-Snapshot1 on partners.redhat.com.  

Requested action: Please verify that your issue is fixed to ensure that it is 
included in this update release.

After you (Red Hat Partner) have verified that this issue has been addressed, 
please perform the following:
1) Change the *status* of this bug to VERIFIED.
2) Add *keyword* of PartnerVerified (leaving the existing keywords unmodified)

If this issue is not fixed, please add a comment describing the most recent 
symptoms of the problem you are having and change the status of the bug to 
FAILS_QA.

If you cannot access bugzilla, please reply with a message about your test 
results to Issue Tracker.  If you need assistance accessing 
ftp://partners.redhat.com, please contact your Partner Manager.
Comment 26 John Poelstra 2007-09-11 20:38:25 EDT
A fix for this issue should be included in RHEL4.6-Snapshot2--available soon on
partners.redhat.com.  

Please verify that your issue is fixed to ensure that it is included in this
update release.

After you (Red Hat Partner) have verified that this issue has been addressed,
please perform the following:
1) Change the *status* of this bug to VERIFIED.
2) Add *keyword* of PartnerVerified (leaving the existing keywords unmodified)

If this issue is not fixed, please add a comment describing the most recent
symptoms of the problem you are having and change the status of the bug to FAILS_QA.

If you cannot access bugzilla, please reply with a message about your test
results to Issue Tracker.  If you need assistance accessing
ftp://partners.redhat.com, please contact your Partner Manager.
Comment 27 John Poelstra 2007-09-20 00:27:57 EDT
A fix for this issue should have been included in the packages contained in the
RHEL4.6-Snapshot3 on partners.redhat.com.  

Please verify that your issue is fixed to ensure that it is included in this
update release.

After you (Red Hat Partner) have verified that this issue has been addressed,
please perform the following:
1) Change the *status* of this bug to VERIFIED.
2) Add *keyword* of PartnerVerified (leaving the existing keywords unmodified)

If this issue is not fixed, please add a comment describing the most recent
symptoms of the problem you are having and change the status of the bug to FAILS_QA.

If you cannot access bugzilla, please reply with a message about your test
results to Issue Tracker.  If you need assistance accessing
ftp://partners.redhat.com, please contact your Partner Manager.
Comment 28 John Poelstra 2007-09-26 19:33:42 EDT
A fix for this issue should be included in the packages contained in
RHEL4.6-Snapshot4--available now on partners.redhat.com.  

Please verify that your issue is fixed ASAP to ensure that it is included in
this update release.

After you (Red Hat Partner) have verified that this issue has been addressed,
please perform the following:
1) Change the *status* of this bug to VERIFIED.
2) Add *keyword* of PartnerVerified (leaving the existing keywords unmodified)

If this issue is not fixed, please add a comment describing the most recent
symptoms of the problem you are having and change the status of the bug to FAILS_QA.

If you cannot access bugzilla, please reply with a message about your test
results to Issue Tracker.  If you need assistance accessing
ftp://partners.redhat.com, please contact your Partner Manager.
Comment 29 John Poelstra 2007-10-04 22:55:41 EDT
A fix for this issue should be included in the packages contained in
RHEL4.6-Snapshot5--available now on partners.redhat.com.  

Please verify that your issue is fixed ASAP to ensure that it is included in
this update release.

After you (Red Hat Partner) have verified that this issue has been addressed,
please perform the following:
1) Change the *status* of this bug to VERIFIED.
2) Add *keyword* of PartnerVerified (leaving the existing keywords unmodified)

If this issue is not fixed, please add a comment describing the most recent
symptoms of the problem you are having and change the status of the bug to FAILS_QA.

If you cannot access bugzilla, please reply with a message about your test
results to Issue Tracker.  If you need assistance accessing
ftp://partners.redhat.com, please contact your Partner Manager.
Comment 30 John Poelstra 2007-10-10 23:07:38 EDT
A fix for this issue should be included in the packages contained in
RHEL4.6-Snapshot6--available now on partners.redhat.com.  

Please verify that your issue is fixed ASAP to ensure that it is included in
this update release.

After you (Red Hat Partner) have verified that this issue has been addressed,
please perform the following:
1) Change the *status* of this bug to VERIFIED.
2) Add *keyword* of PartnerVerified (leaving the existing keywords unmodified)

If this issue is not fixed, please add a comment describing the most recent
symptoms of the problem you are having and change the status of the bug to FAILS_QA.

If you cannot access bugzilla, please reply with a message about your test
results to Issue Tracker.  If you need assistance accessing
ftp://partners.redhat.com, please contact your Partner Manager.
Comment 31 John Poelstra 2007-10-18 14:08:52 EDT
A fix for this issue should be included in the packages contained in
RHEL4.6-Snapshot7--available now on partners.redhat.com.  

IMPORTANT: This is the last opportunity to confirm that your issue is fixed in
the RHEL4.6 update release.

After you (Red Hat Partner) have verified that this issue has been addressed,
please perform the following:
1) Change the *status* of this bug to VERIFIED.
2) Add *keyword* of PartnerVerified (leaving the existing keywords unmodified)

If this issue is not fixed, please add a comment describing the most recent
symptoms of the problem you are having and change the status of the bug to FAILS_QA.

If you cannot access bugzilla, please reply with a message about your test
results to Issue Tracker.  If you need assistance accessing
ftp://partners.redhat.com, please contact your Partner Manager.
Comment 33 errata-xmlrpc 2007-11-15 11:12:35 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2007-0810.html

Note You need to log in before you can comment on or make changes to this bug.